> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subotiz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Customer Portal Api Auth

> Customer Portal Api Auth



## OpenAPI

````yaml openapi/v1-en.yaml POST /api/v1/customer_portal/auth
openapi: 3.0.3
info:
  title: Subotiz API
  description: Subotiz OpenAPI
  version: 1.0.0
servers:
  - url: https://{api}.subotiz.com
    variables:
      api:
        default: api
security:
  - sec0: []
tags:
  - name: Subscription
    description: Subscription
  - name: Price
    description: Price
  - name: Trade
    description: Trade
  - name: Payment
    description: Payment
  - name: Checkout Session
    description: Checkout Session
  - name: Customer
    description: Customer
  - name: Customer Portal
    description: Customer Portal
paths:
  /api/v1/customer_portal/auth:
    post:
      tags:
        - Customer Portal
      summary: Customer Portal Api Auth
      description: Customer Portal Api Auth
      operationId: v1-customer-portal-api-auth
      parameters:
        - $ref: '#/components/parameters/HeaderRequestID'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiAuthCustomerPortalRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAuthCustomerPortalResponse'
components:
  parameters:
    HeaderRequestID:
      name: Request-Id
      in: header
      description: The unique identifier of the request
      required: true
      schema:
        type: string
        default: 008e3967-a1b5-48bb-be14-d5bff5092e61
  schemas:
    ApiAuthCustomerPortalRequest:
      required:
        - customer_id
      type: object
      properties:
        customer_id:
          type: string
          description: Subotiz customer unique identifier
        locale:
          type: string
          description: Customer portal language/locale, e.g. "en-US", "zh-CN"
        landing:
          allOf:
            - $ref: '#/components/schemas/Landing'
          description: Landing target (optional)
    ApiAuthCustomerPortalResponse:
      type: object
      properties:
        code:
          type: string
          description: error code
        message:
          type: string
          description: error message
        data:
          $ref: '#/components/schemas/ApiAuthCustomerPortalResponse_Data'
    Landing:
      type: object
      properties:
        page:
          type: string
          description: >-
            Landing page type: subscriptions / payment_methods / invoices /
            profile / subscription_detail
        subscription_id:
          type: string
          description: >-
            Secondary page parameter: subscription ID (required when
            page=subscription_detail)
        mode:
          type: string
          description: >-
            Secondary page parameter: action mode (required when
            page=subscription_detail), currently only "change_payment_method"
    ApiAuthCustomerPortalResponse_Data:
      type: object
      properties:
        customer_portal_link:
          type: string
          description: Subotiz customer portal link
  securitySchemes:
    sec0:
      type: http
      description: >-
        Bearer API Key authentication. Format: Authorization: Bearer
        {your_api_key}
      scheme: bearer

````